Debian Bug report logs - #584627
buildcross: uninstallable on !amd64

version graph

Package: buildcross; Maintainer for buildcross is Debian Embedded <debian-embedded@lists.debian.org>; Source for buildcross is src:buildcross.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Sat, 5 Jun 2010 07:09:01 UTC

Severity: serious

Found in version buildcross/0.0.3

Fixed in version buildcross/0.0.4

Done: Hector Oron <zumbi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, svenjoac@gmx.de, Debian Embedded <debian-embedded@lists.debian.org>:
Bug#584627; Package buildcross. (Sat, 05 Jun 2010 07:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to svenjoac@gmx.de, Debian Embedded <debian-embedded@lists.debian.org>. (Sat, 05 Jun 2010 07:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildcross: uninstallable on !amd64
Date: Sat, 05 Jun 2010 09:06:11 +0200
Package: buildcross
Version: 0.0.3
Severity: serious

Your package is only installable on amd64 due to the dependency on
libc6-dev-i386 (among others).  ISTM the package should be arch:any and
only depend on gcc-multilib, libc6-dev-i386, lib32gcc1 on architectures
where these packages are available.

BTW, is it correct to depend on libreadline5-dev rather than
libreadline6-dev or libreadline-dev?


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 2.6.34-nouveau (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Hector Oron <zumbi@debian.org>:
You have taken responsibility. (Mon, 07 Jun 2010 17:03:09 GMT) Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. (Mon, 07 Jun 2010 17:03:09 GMT) Full text and rfc822 format available.

Message #10 received at 584627-close@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: 584627-close@bugs.debian.org
Subject: Bug#584627: fixed in buildcross 0.0.4
Date: Mon, 07 Jun 2010 17:02:06 +0000
Source: buildcross
Source-Version: 0.0.4

We believe that the bug you reported is fixed in the latest version of
buildcross, which is due to be installed in the Debian FTP archive:

buildcross_0.0.4.dsc
  to main/b/buildcross/buildcross_0.0.4.dsc
buildcross_0.0.4.tar.gz
  to main/b/buildcross/buildcross_0.0.4.tar.gz
buildcross_0.0.4_all.deb
  to main/b/buildcross/buildcross_0.0.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 584627@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Hector Oron <zumbi@debian.org> (supplier of updated buildcross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Jun 2010 18:06:52 +0200
Source: buildcross
Binary: buildcross
Architecture: source all
Version: 0.0.4
Distribution: experimental
Urgency: low
Maintainer: Debian Embedded <debian-embedded@lists.debian.org>
Changed-By: Hector Oron <zumbi@debian.org>
Description: 
 buildcross - Cross build a full set of Debian toolchain
Closes: 584627
Changes: 
 buildcross (0.0.4) experimental; urgency=low
 .
   * Add function code to start building Debian from scratch (upstream way).
     o Add undocumented (at the moment) --bootstrap-debsrc; --bootstrap-upsrc.
   * Fix "uninstallable on !amd64": Remove libc6-dev-i386, lib32gcc1 dependencies
     and change libreadline5-dev and libncurses5-dev by non versioned libs.
     (Closes: #584627)
Checksums-Sha1: 
 e7bbe6001b069b19dff3f5df94b00b056e39a6cc 1678 buildcross_0.0.4.dsc
 eb84eba91ef8af622ca5100cec4f925f528c3e3d 21773 buildcross_0.0.4.tar.gz
 41c6dcc84114f706847d559f57e4e5ce2ab0795b 19224 buildcross_0.0.4_all.deb
Checksums-Sha256: 
 683d33bc0b130da57dd20938a4f6d08843c3a4b7a5a9e8dd9dba38db466b2012 1678 buildcross_0.0.4.dsc
 97ead4c3d227e3d4d8c4218487d4858ca16e69416354d1b4ea224fa96d354684 21773 buildcross_0.0.4.tar.gz
 9809f8c267f9c59441b833e19ada6f2b8ccdce897b98a28f5dfbb0e83f62eea8 19224 buildcross_0.0.4_all.deb
Files: 
 2cdc1b2753fa19df010531cc4661ade4 1678 utils extra buildcross_0.0.4.dsc
 016741d19a54b51904c20a29ab8ffaa9 21773 utils extra buildcross_0.0.4.tar.gz
 11568eeb521a4b5c12fb646529fc2059 19224 utils extra buildcross_0.0.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJMDSSSAAoJEK8ig6p24qx7Lx8P/jKol64mGeWk/JPG4jgWwFbW
PlyoGasecOrMbb7OGlos8eJv3zLuGfYOo0CurT15rvglJLfnb3DojARCOeKvEVGg
b30ykXu/kaO+K3+IrieJpYaT/vBd9dwYGgvQ+BiTka3ndkMSxPD7fliNhDn9YAIJ
+feaVC+GiDAq0ikY59qYYViKNbJCKMLroYlHV0I+VEJiJrYglk724jLBn2+wloIY
nN6Ng6GxqUz7OFmYKMRVEF2d9rzo7TWK5lv5kmamJTSRCqEqC2dpk6DjVh8Iqvp1
ut3uFstiZqkUntG9hd7aKScn+2yKFF1sbIMfUg7WbRtlgtwBxpZVoYDixXOoSbnM
8N0udY2ChJzi+o1X0NTtDOyrhsdvkId7GvhkujUiEEmMvfRsSJA/AwmncTMGBeBe
xjzQ5cF0VBmh1P7rmiJO4QRDMooVAgtG0UR0y9mX1zA/nynFSEfj0a52w3+f2mXP
Rsm8en3RKguNtGnQiQdsvRD+TLq/jrD9W/uSdRdKlRTOZrQ7qqOFNiO3CmSqGZmY
6+GgaTg4y/+fqUZhpI5ZPrn2zG6kaQ/WO+t2PAcfw+Mye4OpCPWLuF8DM+V12zvT
emRa/m/kJSKyKKIRRIYQ0Ygrm8xamrjKfqXyEW5y3fSZWMD2Dl3JWETo4xR7fsHh
FB1GruEdYDNR/KiHCefw
=aCcA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Jul 2010 07:32:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:58:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.